%define name lastpod
%define version 1.0
%define svn r96
%define release %mkrel 1

Summary: Submits the songs played on an iPod to last.fm
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{svn}.tar.bz2
License: GPLv2+
Group: Sound
Url: http://www.lastpod.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: java-devel
BuildRequires: ant-junit
Requires: java

%description
LastPod is a graphical tool that submits the music played on the iPod to the
last.fm web site.


%prep
%setup -q -n %name

%build
cd bin
ant dist

%install
rm -rf $RPM_BUILD_ROOT
install -D dist/lastPod.jar %buildroot%_datadir/%name/lastPod.jar
install -d %buildroot{%_bindir,%_datadir/applications}
cat > %buildroot%_bindir/%name << EOF
#!/bin/sh
java -jar %_datadir/%name/lastPod.jar
EOF
cat > %buildroot%_datadir/applications/mandriva-%name.desktop << EOF
[Desktop Entry]
Name=LastPod
Comment=Submit songs played on the iPod to last.fm
Exec=%{_bindir}/%{name}
Icon=multimedia-player
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Audio;Java;
MimeType=x-content/audio-player;
EOF


%check
#cd bin
#ant test

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%postun
%clean_desktop_database

%files
%defattr(-,root,root)
%attr(755,root,root) %_bindir/%name
%_datadir/%name
%_datadir/applications/mandriva-%name.desktop


%changelog
* Wed Mar 19 2008 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2008.1
+ Revision: 188819
- new version

* Thu Mar 06 2008 Götz Waschk <waschk@mandriva.org> 0.91-2mdv2008.1
+ Revision: 180593
- add support for autostart from nautilus

* Fri Jan 04 2008 Götz Waschk <waschk@mandriva.org> 0.91-1mdv2008.1
+ Revision: 144852
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 08 2007 Götz Waschk <waschk@mandriva.org> 0.8-1mdv2008.1
+ Revision: 95693
- new version

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 0-0.r80.2mdv2008.0
+ Revision: 79829
- oops, forgot the path

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 0-0.r80.1mdv2008.0
+ Revision: 79812
- Import lastpod



* Wed Sep  5 2007 Götz Waschk <waschk@mandriva.org> 0-0.r80.1mdv2008.0
- initial package
